"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LandingDosBotones = void 0;
var _native = require("@react-navigation/native");
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _FontAwesome = _interopRequireDefault(require("react-native-vector-icons/FontAwesome"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const LandingDosBotones = () => {
  const navigate = (0, _native.useNavigation)();
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.ImageBackground, {
    style: styles.image,
    source: {
      uri: 'https://www.pichincha.pe/sites/default/files/2020-05/001-banner-interno-banca-por-internet.jpg'
    },
    resizeMode: "cover"
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.titulos
  }, "Nuestros Servicios "), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => navigate.navigate("CamaraQrNavigate"),
    style: styles.botones
  }, /*#__PURE__*/_react.default.createElement(_FontAwesome.default, {
    name: "qrcode",
    size: 25,
    color: "#572364"
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.textos
  }, "Codigo QR")), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => navigate.navigate("ContactosPagar"),
    style: styles.botones
  }, /*#__PURE__*/_react.default.createElement(_FontAwesome.default, {
    name: "money",
    size: 25,
    color: "#572364"
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.textos
  }, "Transacciones")))));
};
exports.LandingDosBotones = LandingDosBotones;
const styles = _reactNative.StyleSheet.create({
  container: {
    width: '100%',
    height: 700,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  image: {
    width: '100%',
    height: '100%',
    alignItems: 'center'
  },
  botones: {
    margin: 50,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: '#FFFFFe',
    width: 150,
    height: 150,
    shadowColor: "#000",
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.23,
    shadowRadius: 2.62,
    elevation: 4
  },
  titulos: {
    display: 'flex',
    width: '100%',
    padding: 10,
    textAlign: 'center',
    fontSize: 20,
    backgroundColor: '#572364',
    color: 'white'
  },
  textos: {
    fontSize: 15,
    color: '#572364',
    fontweight: 'bold'
  }
});
//# sourceMappingURL=LandingDosBotones.js.map