import { ScrollView, Text, StyleSheet, View } from 'react-native';
import React, { useEffect, useState } from 'react';
import { CardDeUna } from './card';
export function Sectioncard(_ref) {
  let {
    datos,
    title = 'Promociones'
  } = _ref;
  const [dataCard, setDataCard] = useState([]);
  useEffect(() => {
    setDataCard(datos);
  }, [datos]);
  return /*#__PURE__*/React.createElement(ScrollView, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.text1
  }, title), /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, dataCard && dataCard.map((item, key) => {
    return /*#__PURE__*/React.createElement(CardDeUna, {
      key: key,
      datos: item,
      backgroundColor: "white"
    });
  })));
}
const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    width: '100%',
    marginVertical: 10
  },
  text1: {
    fontSize: 20,
    fontWeight: 'bold',
    color: 'black',
    marginHorizontal: 20,
    marginVertical: 10
  },
  box: {
    width: 60,
    height: 60,
    marginVertical: 20
  }
});
//# sourceMappingURL=sectioncard.js.map