import React, { useEffect } from 'react';
import { useState } from 'react';
import { AuthContext } from './AuthContext';
import { getdataUser } from '../../hooks/validateJwt';
const AUTH_INITIAL_STATE = {
  token: null
};
export const AuthProvider = _ref => {
  let {
    children
  } = _ref;
  const [state, setState] = useState(AUTH_INITIAL_STATE);
  const [dataBank, setDataBank] = useState();
  const getdatauser = async token => {
    const dataUser = await getdataUser(token);
    setDataBank(dataUser);
  };
  useEffect(() => {
    if (state.token) {
      console.log(state.token);
      getdatauser(state.token);
    }
  }, [state.token]);
  const cargarToken = token => {
    setState({
      token
    });
  };
  return /*#__PURE__*/React.createElement(AuthContext.Provider, {
    value: {
      ...state,
      cargarToken,
      dataBank,
      setDataBank
    }
  }, children);
};
//# sourceMappingURL=AuthProvider.js.map