import { validateJwt } from "../hooks/validateJwt";
export const tokenValidator = async token => {
  var jwtDecode = require('jwt-decode');
  const decoded = jwtDecode(token);
  const exp = decoded.exp;
  const expirationDate = new Date(exp * 1000);
  const currentDate = new Date();
  const tokenValid = await validateJwt(token);
  if (tokenValid === false) {
    return false;
  }
  if (expirationDate < currentDate) {
    return false;
  } else {
    return true;
  }
};
//# sourceMappingURL=tokenValidator.js.map