"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CardsSabiasQue = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _native = require("@react-navigation/native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CardsSabiasQue = _ref => {
  let {
    item
  } = _ref;
  const navigate = (0, _native.useNavigation)();
  function NavigationScreen() {
    navigate.navigate('InformacionCard', {
      key: [...item.datos]
    });
  }
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: NavigationScreen
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      ...styles.container,
      backgroundColor: item.background
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.description
  }, item.text)));
};
exports.CardsSabiasQue = CardsSabiasQue;
const styles = _reactNative.StyleSheet.create({
  container: {
    width: 200,
    marginLeft: 15,
    height: 150,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    boxShadow: 'inset 5em 1em gold',
    shadowColor: '#000',
    padding: 10,
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5
  },
  description: {
    fontWeight: 'bold',
    fontSize: 16,
    color: '#1b003a'
  }
});
//# sourceMappingURL=CardsSabiasQue.js.map