"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InformacionSabiasQue = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireDefault(require("react"));
var _native = require("@react-navigation/native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const InformacionSabiasQue = () => {
  const route = (0, _native.useRoute)();
  const [data, setData] = _react.default.useState(route.params.key);
  _react.default.useEffect(() => {
    setData(route.params.key);
    console.log(data);
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [route.params.key]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, data && data.map((item, key) => /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    key: `${item.text} ${item.title + key}`,
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.title
  }, item.title), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.text
  }, item.text))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container1
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    style: styles.button
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Regresar"))));
};
exports.InformacionSabiasQue = InformacionSabiasQue;
const styles = _reactNative.StyleSheet.create({
  container: {
    marginBottom: 40,
    marginHorizontal: 20,
    marginTop: 20
  },
  container1: {
    marginBottom: 40,
    marginHorizontal: 20,
    marginTop: 20
  },
  title: {
    fontSize: 20,
    fontWeight: 'bold'
  },
  text: {
    marginTop: 10,
    fontSize: 18
  },
  button: {
    backgroundColor: 'yellow',
    width: '100%',
    height: 50,
    borderRadius: 10,
    justifyContent: 'center',
    alignItems: 'center',
    color: 'black',
    marginTop: 20
  }
});
//# sourceMappingURL=InformacionSabiasQue.js.map