import { createContext } from 'react'
import { IDataUserBank } from 'src/interface/IDataUserBank';
  interface dataBank{
    dataBank:IDataUserBank|undefined,
    setDataBank:React.Dispatch<React.SetStateAction<IDataUserBank|undefined>>;
  }
interface ContextProps extends dataBank {
    token: string | null;
    cargarToken: (token: string | null) => void;
    
}

export const AuthContext = createContext({} as ContextProps)